#!/usr/bin/env ruby

require 'sinatra'

sentence_parts = [
  [
    "Ale numer...",
    "Potwierdzone info!",
    "Słow nie ma, co oni wyprawiają!",
    "Puść dalej!",
    "Szok, nie mogę uwierzyć...",
  ],
  [
    "Wiarygodne źródło",
    "Moja koleżanka,",
    "Mój kuzyn,",
    "Syn sąsiada,",
    "Brat naszego proboszcza",
    "Kumpel mojego szefa,",
  ],
  [
    "z Instytutu Chorób Zakaźnych",
    "pracuje w strukturach rządowych i",
    "oficer ABW,",
    "lekarz-epidemiolog",
    "dziennikarz w TVP,",
    "szkolny kolega Agaty Dudy, no wiesz, prezydentowej,",
  ],
  [
    "dał(a) cynk, że prezydent",
    "właśnie pisze mi w mailu, że rząd",
    "wie na 100% że sejm",
    "przysłał(a) mi SMS-a, że ministerstwo zdrowia",
    "właśnie dostał(a) komunikat, że sztab WP",
    "przypadkiem dowiedział(a) się, że premier",
  ],
  [
    "jutro w nocy",
    "w ciągu 24 godzin",
    "za chwilę",
    "w najbliższych godzinach",
    "w najbliższą sobotę",
    "na dniach",
  ],
  [
    "wyśle wszystkich 60+ do ośrodków izolacyjnych.",
    "zamknie wjazd do Warszawy.",
    "nakaże zamknięcie sklepów.",
    "wprowadzi wojsko na ulice.",
    "ma zakazać używania gotówki.",
    "zablokuje konta bankowe osób na litery od A do L.",
    "zamknie konta wszystkich firm działających z BTC.",
    "zablokuje przelewy SEPA i też ELIXIR.",
    "zacznie strzelać bez ostrzeżenia do kaszlących",
  ],
]

get '/api/v1/panic' do
  sentence_parts.map { |x| x.sample }.join " "
end
